A guide to using Panda
<<< Previous |  | Next >>>

# panda_setlinecolor

## Name

panda_setlinecolor -- change the color of the line drawn

## Synopsis

     #include<panda/constants.h>
     #include<panda/functions.h>
     void panda_setlinecolor (panda_page *target, int red, int green, int blue);

## DESCRIPTION

Set the color of lines being drawn using a combination of red, green and blue.

## RETURNS

Nothing

## EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_page *page; panda_init(); document = panda_open("filename.pdf", "w"); page = panda_newpage (document, panda_pagesize_a4); panda_setlinestart (page, 100, 200); panda_setlinecolor (page, 100, 200, 450); panda_addlinesegment (page, 200, 200);

## SEE ALSO

panda_setlinestart, panda_addlinesegment, panda_addcubiccurvesegment, panda_addquadraticsegmentone, panda_addquadraticcurvesegmenttwo, panda_closeline, panda_rectangle, panda_endline, panda_strokeline, panda_fillline, panda_setlinewidth, panda_setlinecap, panda_setlinejoin, panda_setlinedash, panda_setfillcolor

## VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

## AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

## BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.

<<< Previous | Home | Next >>>
panda_setlinecolor.sgml | Up | panda_setlinedashing.sgml